Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| dbXML API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.dbxml.db.admin.swing
Class NestedBorder

    java.lang.Object
      javax.swing.border.AbstractBorder
          com.dbxml.db.admin.swing.NestedBorder

All Implemented Interfaces:
  javax.swing.border.Border, java.io.Serializable

public final class NestedBorder
extends javax.swing.border.AbstractBorder

NestedBorder

See Also:
  Serialized Form

Constructor Summary
`NestedBorder()`
`NestedBorder(boolean top, boolean left)`
`NestedBorder(java.awt.Color highlight, java.awt.Color shadow)`
`NestedBorder(java.awt.Color highlight, java.awt.Color shadow, boolean top, boolean left)`

Method Summary
`java.awt.Insets` | `getBorderInsets(java.awt.Component c)`
`java.awt.Insets` | `getBorderInsets(java.awt.Component c, java.awt.Insets insets)`
`java.awt.Color` | `getHighlightColor()`
`java.awt.Color` | `getHighlightColor(java.awt.Component c)`
`java.awt.Color` | `getShadowColor()`
`java.awt.Color` | `getShadowColor(java.awt.Component c)`
`boolean` | `isBorderOpaque()`
`boolean` | `isLeft()`
`boolean` | `isTop()`
`void` | `paintBorder(java.awt.Component c, java.awt.Graphics g, int x, int y, int width, int height)`
`void` | `setLeft(boolean left)`
`void` | `setTop(boolean top)`

Methods inherited from class javax.swing.border.AbstractBorder
`getInteriorRectangle, getInteriorRectangle`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### NestedBorder

    public NestedBorder()

### NestedBorder

    public NestedBorder(java.awt.Color highlight,
                        java.awt.Color shadow)

### NestedBorder

    public NestedBorder(boolean top,
                        boolean left)

### NestedBorder

    public NestedBorder(java.awt.Color highlight,
                        java.awt.Color shadow,
                        boolean top,
                        boolean left)

Method Detail

### paintBorder

    public void paintBorder(java.awt.Component c,
                            java.awt.Graphics g,
                            int x,
                            int y,
                            int width,
                            int height)

### getBorderInsets

    public java.awt.Insets getBorderInsets(java.awt.Component c)

### getBorderInsets

    public java.awt.Insets getBorderInsets(java.awt.Component c,
                                           java.awt.Insets insets)

### isBorderOpaque

    public boolean isBorderOpaque()

### getHighlightColor

    public java.awt.Color getHighlightColor(java.awt.Component c)

### getHighlightColor

    public java.awt.Color getHighlightColor()

### getShadowColor

    public java.awt.Color getShadowColor(java.awt.Component c)

### getShadowColor

    public java.awt.Color getShadowColor()

### isTop

    public boolean isTop()

### setTop

    public void setTop(boolean top)

### isLeft

    public boolean isLeft()

### setLeft

    public void setLeft(boolean left)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| dbXML API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) 2004 The dbXML Group